## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder
Class MySQLFunctionNamesAndSignatures

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.MySQLFunctionNamesAndSignatures

    public class MySQLFunctionNamesAndSignatures

extends java.lang.Object

Field Summary
`static java.lang.String` `dbUDF`
`static java.lang.String` `mySQLAggregate`
`static java.lang.String` `mySQLAll`
`static java.lang.String` `mySQLBit`
`static java.lang.String` `mySQLControlFlow`
`static java.lang.String` `mySQLDateAndTime`
`static java.lang.String` `mySQLMath`
`static java.lang.String` `mySQLMiscellaneous`
`static java.lang.String` `mySQLNotSupported`
`static java.lang.String` `mySQLString`

Constructor Summary
`MySQLFunctionNamesAndSignatures()`

Method Summary
`static void` `fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo, boolean isColumn)`
`static java.lang.String[]` `getFunctionList(java.lang.String category, boolean isColumn, SQLDomainModel domainModel)`
`static java.lang.Object[][]` `getParameterFormats(java.lang.String functionName)`
`static java.lang.Object[][]` `getParms(java.lang.String func)`
`static boolean` `isFunctionSupportingStar(java.lang.String s)`
`static boolean` `isNotSupported(java.lang.String functionName)`
`static boolean` `requiresNoBrackets(java.lang.String functionName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mySQLAll

    public static final java.lang.String mySQLAll

### mySQLString

    public static final java.lang.String mySQLString

### mySQLControlFlow

    public static final java.lang.String mySQLControlFlow

### mySQLMath

    public static final java.lang.String mySQLMath

### mySQLBit

    public static final java.lang.String mySQLBit

### mySQLDateAndTime

    public static final java.lang.String mySQLDateAndTime

### mySQLMiscellaneous

    public static final java.lang.String mySQLMiscellaneous

### mySQLAggregate

    public static final java.lang.String mySQLAggregate

### mySQLNotSupported

    public static final java.lang.String mySQLNotSupported

### dbUDF

    public static java.lang.String dbUDF

Constructor Detail

### MySQLFunctionNamesAndSignatures

    public MySQLFunctionNamesAndSignatures()

Method Detail

### getParms

    public static java.lang.Object[][] getParms(java.lang.String func)

### getParameterFormats

    public static java.lang.Object[][] getParameterFormats(java.lang.String functionName)

### fillCategoryCombo

    public static void fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo,
                                         boolean isColumn)

### isFunctionSupportingStar

    public static boolean isFunctionSupportingStar(java.lang.String s)

### isNotSupported

    public static boolean isNotSupported(java.lang.String functionName)

### requiresNoBrackets

    public static boolean requiresNoBrackets(java.lang.String functionName)

### getFunctionList

    public static java.lang.String[] getFunctionList(java.lang.String category,
                                                     boolean isColumn,
                                                     SQLDomainModel domainModel)